/****************************************************************************
**
** Copyright (C) 1991-2008 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef DEBUG_H
#define DEBUG_H

// Uncomment for debugging purposes
//#define DEBUG

#ifdef DEBUG
	#include <QtDebug>
	#include <QApplication>
	#include <stdio.h>
	#include "error.h"
	extern errWidget *errEdi;
	#define PRINT(message) errEdi->print(message); QApplication::processEvents()
#else
	#define PRINT(message) /* */
#endif

// DEBUG_H
#endif
